Bug 470096 - No support for memory stick block devices in udev
No support for memory stick block devices in udev
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-11-05 13:21 EST by Chuck Ebbert
Modified: 2013-01-09 23:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-10 15:18:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rules added to /etc/udev/rules.d/60-persistent-storage.rules (349 bytes, text/plain)
2008-11-05 13:21 EST, Chuck Ebbert
no flags Details

  None (edit)
Description Chuck Ebbert 2008-11-05 13:21:42 EST
Created attachment 322624 [details]
rules added to /etc/udev/rules.d/60-persistent-storage.rules

Adding these rules seems to make it work, after adding an selinux policy for the device and applying a patch to hal from Matthew Garrett.
Comment 1 Will Woods 2008-11-07 11:32:39 EST
* Wed Nov 05 2008 Matthew Garrett <mjg@redhat.com> - 0.5.12-11.20081027git
- Add support for the memstick bus

So HAL's all set. I don't see a related change in selinux-policy yet - is that going to require a separate bug for tracking, or did you already get dwalsh to make the change?

Oh, and current rawhide udev ships /lib/udev/rules.d/60-persistent-storage.rules, not /etc/udev/rules.d/60-persistent-storage.rules.
Comment 2 Will Woods 2008-11-09 11:39:40 EST
Required fixes to HAL and selinux-policy are in Rawhide. Just need these rules added to /lib/udev/rules.d/60-persistent-storage.rules.
Comment 3 Harald Hoyer 2008-11-10 06:14:50 EST
added to /lib/udev/rules.d/40-redhat.rules until upstream
Comment 4 Jesse Keating 2008-11-10 12:30:45 EST
Re-opening.  Please don't close blocker bugs until the packages are actually tagged for the release.

https://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy
Comment 5 Harald Hoyer 2008-11-10 12:59:41 EST
huh? I don't want the rawhide version in F10
Comment 6 Jesse Keating 2008-11-10 13:05:54 EST
This is an F10 blocker issue, building for F11 doesn't solve it.
Comment 7 Harald Hoyer 2008-11-10 13:33:43 EST
built udev-127-3.fc10
Comment 8 Tom "spot" Callaway 2008-11-10 15:18:14 EST
udev-127-3.fc10 tagged in f10-final.
selinux-policy-3.5.13-18.f10 tagged in in f10-final.

Note You need to log in before you can comment on or make changes to this bug.